{"openapi":"3.1.0","info":{"title":"Flypify Agent API","version":"1.0.0","description":"Everything an AI agent needs to find winning products, their suppliers and winning ads, build and edit stores, attach domains, and create and launch ad campaigns. Authenticate with an API key from https://flypify.com/account. The same capabilities are exposed as MCP tools at https://api.flypify.com/mcp/."},"servers":[{"url":"https://api.flypify.com"}],"components":{"securitySchemes":{"apiKey":{"type":"http","scheme":"bearer","bearerFormat":"flypify_live_..."}},"schemas":{"CreateStore":{"properties":{"name":{"type":"string","title":"Name"},"niche":{"type":"string","title":"Niche"}},"type":"object","required":["name","niche"],"title":"CreateStore"},"DraftBody":{"properties":{"opportunity_id":{"type":"string","title":"Opportunity Id"},"title":{"type":"string","title":"Title"},"description":{"type":"string","title":"Description","default":""},"price":{"type":"number","title":"Price"},"supplier_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Supplier Name"},"supplier_label":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Supplier Label"},"supplier_cost":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Supplier Cost"},"supplier_shipping_estimate":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Supplier Shipping Estimate"},"supplier_source_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Supplier Source Id"},"source_marketplace":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Marketplace"},"source_cost_basis_used":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Source Cost Basis Used"},"shipping_copy":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Shipping Copy"},"metafields":{"anyOf":[{"items":{"$ref":"#/components/schemas/MetafieldInput"},"type":"array"},{"type":"null"}],"title":"Metafields"},"auto_selected_source":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Auto Selected Source"},"auto_selection_reason":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Auto Selection Reason"},"selected_source_manual_override":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Selected Source Manual Override"},"entry_flow":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Entry Flow"},"quick_draft_used":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Quick Draft Used"},"parent_draft_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Draft Id"}},"type":"object","required":["opportunity_id","title","price"],"title":"DraftBody"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"MetafieldInput":{"properties":{"namespace":{"type":"string","title":"Namespace","default":"flypify"},"key":{"type":"string","title":"Key"},"value":{"type":"string","title":"Value"},"type":{"type":"string","title":"Type","default":"single_line_text_field"}},"type":"object","required":["key","value"],"title":"MetafieldInput"},"ProductIdBody":{"properties":{"product_id":{"type":"string","title":"Product Id"}},"type":"object","required":["product_id"],"title":"ProductIdBody"},"PublishBody":{"properties":{"product_id":{"type":"string","title":"Product Id"}},"type":"object","required":["product_id"],"title":"PublishBody"},"SelectStore":{"properties":{"store_id":{"type":"string","title":"Store Id"}},"type":"object","required":["store_id"],"title":"SelectStore"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"flypify__feed__router__ClaimBody":{"properties":{"opportunity_id":{"type":"string","title":"Opportunity Id"}},"type":"object","required":["opportunity_id"],"title":"ClaimBody"}}},"paths":{"/api/v1/products/discover":{"get":{"operationId":"products_discover","summary":"Ranked winning products with revenue, margin, saturation and a forecast band. Filter by category, sort by Best/Newest/Profit/LowRisk/Rising.","description":"Plans: Pro and Shipper. Spend: budget. Inputs: query: category?, sort? (Best|Newest|Profit|LowRisk|Rising), interest?, limit?.","tags":["products"],"x-flypify-capability":"products.discover","x-flypify-tier":"pro","x-flypify-spend":"budget","parameters":[{"name":"sort","in":"query","required":false,"schema":{"type":"string","pattern":"^(Best|Newest|Profit|LowRisk|Rising)$","default":"Best","title":"Sort"}},{"name":"interest","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Interest"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Category"}},{"name":"supplier","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Comma-separated supplier keys: ebay,aliexpress","title":"Supplier"},"description":"Comma-separated supplier keys: ebay,aliexpress"},{"name":"ops_mode","in":"query","required":false,"schema":{"type":"boolean","description":"Filter to One Product Store candidates","default":false,"title":"Ops Mode"},"description":"Filter to One Product Store candidates"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"default":12,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/search":{"get":{"operationId":"products_search","summary":"Search the winners you have already revealed by keyword; locked_count says how many more match.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: q, niche?, limit?. Returns 404 while the feature is not enabled on this deployment.","tags":["products"],"x-flypify-capability":"products.search","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","minLength":2,"maxLength":120,"title":"Q"}},{"name":"niche","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Niche"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"default":24,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/search/refresh":{"post":{"operationId":"products_search_refresh","summary":"Reveal a fresh batch of winners matching a keyword (spends one browse refresh).","description":"Plans: Pro and Shipper. Spend: budget. Inputs: query: q, niche?. Returns 404 while the feature is not enabled on this deployment.","tags":["products"],"x-flypify-capability":"products.search_refresh","x-flypify-tier":"pro","x-flypify-spend":"budget","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","minLength":2,"maxLength":120,"title":"Q"}},{"name":"niche","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Niche"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/browse":{"get":{"operationId":"products_browse","summary":"The winners you have revealed in a niche, plus how many more are locked.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: niche?.","tags":["products"],"x-flypify-capability":"products.browse","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"niche","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Niche"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/daily":{"get":{"operationId":"products_daily","summary":"Today's hand-ranked daily picks.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: niche?, sort?, interest?.","tags":["products"],"x-flypify-capability":"products.daily","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"sort","in":"query","required":false,"schema":{"type":"string","pattern":"^(Best|Newest|Profit|LowRisk|Rising)$","default":"Best","title":"Sort"}},{"name":"interest","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Interest"}},{"name":"niche","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":80},{"type":"null"}],"description":"Paid only: a live niche, or All. Absent = the store niche.","title":"Niche"},"description":"Paid only: a live niche, or All. Absent = the store niche."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/niches":{"get":{"operationId":"products_niches","summary":"List the product categories (niches).","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["products"],"x-flypify-capability":"products.niches","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/{opp_id}":{"get":{"operationId":"products_get","summary":"Full detail for one winner: its supplier link(s), landed cost, margin, forecast.","description":"Plans: Pro and Shipper. Spend: none. Inputs: path: opp_id.","tags":["products"],"x-flypify-capability":"products.get","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"opp_id","in":"path","required":true,"schema":{"type":"string","title":"Opp Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/claim":{"post":{"operationId":"products_claim","summary":"Claim a winner into your current store's pipeline.","description":"Plans: Pro and Shipper. Spend: none. Inputs: body: {opportunity_id}.","tags":["products"],"x-flypify-capability":"products.claim","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/flypify__feed__router__ClaimBody"}}},"required":true}}},"/api/v1/products/resolve":{"get":{"operationId":"products_resolve_supplier_url","summary":"Resolve a supplier URL (e.g. an AliExpress listing) to the Flypify winner it sources.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: url.","tags":["products"],"x-flypify-capability":"products.resolve_supplier_url","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","title":"Url"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/similar":{"get":{"operationId":"products_similar","summary":"Winners similar to a given product.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: q, limit?.","tags":["products"],"x-flypify-capability":"products.similar","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","minLength":2,"maxLength":200,"title":"Q"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":10,"minimum":1,"default":3,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/evidence":{"get":{"operationId":"products_evidence","summary":"Market evidence for a product: sales signals and sources behind its score.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: q, niche?, limit?.","tags":["products"],"x-flypify-capability":"products.evidence","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","minLength":2,"maxLength":200,"title":"Q"}},{"name":"niche","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":80},{"type":"null"}],"title":"Niche"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/from-url":{"get":{"operationId":"products_from_url","summary":"Resolve a product URL (TikTok Shop, AliExpress, store page) to a Flypify winner.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: url.","tags":["products"],"x-flypify-capability":"products.from_url","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","minLength":1,"maxLength":2048,"title":"Url"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/upsells":{"get":{"operationId":"products_upsells","summary":"Suggested upsell and bundle products for a winner.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: title, interest?.","tags":["products"],"x-flypify-capability":"products.upsells","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"title","in":"query","required":true,"schema":{"type":"string","title":"Title"}},{"name":"interest","in":"query","required":false,"schema":{"type":"string","default":"","title":"Interest"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/tiktoks":{"get":{"operationId":"products_tiktoks","summary":"Top winners that have a winning TikTok (reveal the video with products.reveal_video).","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: limit?.","tags":["products"],"x-flypify-capability":"products.tiktoks","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":30,"minimum":1,"default":12,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/{opp_id}/winning-ad":{"post":{"operationId":"products_reveal_video","summary":"Reveal the top-performing TikTok ad for a winner (spends one video reveal).","description":"Plans: Shipper. Spend: budget. Inputs: path: opp_id.","tags":["products"],"x-flypify-capability":"products.reveal_video","x-flypify-tier":"shipper","x-flypify-spend":"budget","parameters":[{"name":"opp_id","in":"path","required":true,"schema":{"type":"string","title":"Opp Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/products/trends":{"get":{"operationId":"products_trends","summary":"Rising search and social trend keywords.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: niche?.","tags":["products"],"x-flypify-capability":"products.trends","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"niche","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Niche"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/ads/search":{"get":{"operationId":"ads_search","summary":"Search the winning-ads library (Meta + TikTok) by niche, format and sort.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: niche, sort?, limit?, sources?, surface?.","tags":["ads"],"x-flypify-capability":"ads.search","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"niche","in":"query","required":true,"schema":{"type":"string","maxLength":80,"title":"Niche"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","pattern":"^(longest|recent)$","default":"longest","title":"Sort"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":60,"minimum":1,"default":24,"title":"Limit"}},{"name":"sources","in":"query","required":false,"schema":{"type":"string","pattern":"^(all|facebook|tiktok)$","default":"all","title":"Sources"}},{"name":"surface","in":"query","required":false,"schema":{"type":"string","pattern":"^(grid|home)$","default":"grid","title":"Surface"}},{"name":"pin","in":"query","required":false,"schema":{"type":"string","maxLength":64,"default":"","title":"Pin"}},{"name":"variants_of","in":"query","required":false,"schema":{"type":"string","maxLength":64,"default":"","title":"Variants Of"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/ads/{ad_key}/reveal":{"post":{"operationId":"ads_reveal","summary":"Reveal one ad's links: the ad, its landing page and the advertiser.","description":"Plans: Pro and Shipper. Spend: budget. Inputs: path: ad_key.","tags":["ads"],"x-flypify-capability":"ads.reveal","x-flypify-tier":"pro","x-flypify-spend":"budget","parameters":[{"name":"ad_key","in":"path","required":true,"schema":{"type":"string","title":"Ad Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/ads/formats":{"get":{"operationId":"ads_formats","summary":"The ad formats (hook styles) the library classifies.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: niche?.","tags":["ads"],"x-flypify-capability":"ads.formats","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"niche","in":"query","required":false,"schema":{"type":"string","maxLength":80,"default":"","title":"Niche"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/ads/niches":{"get":{"operationId":"ads_niches","summary":"The niches the ad library covers.","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["ads"],"x-flypify-capability":"ads.niches","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/brands":{"get":{"operationId":"brands_search","summary":"Brands running winning ads, with their stores and ad counts.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: q?, niche?, sort?, page?, limit?, range?, shopify?, monthly_visits_min?.","tags":["brands"],"x-flypify-capability":"brands.search","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"niche","in":"query","required":false,"schema":{"type":"string","maxLength":80,"default":"","title":"Niche"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","pattern":"^(active|rising|rising_pct|longest|video_share|traffic_growth)$","default":"active","title":"Sort"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"default":24,"title":"Limit"}},{"name":"q","in":"query","required":false,"schema":{"type":"string","maxLength":80,"default":"","title":"Q"}},{"name":"range","in":"query","required":false,"schema":{"type":"string","pattern":"^(7d|14d|30d)$","default":"7d","title":"Range"}},{"name":"live_min","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":1000000,"minimum":0},{"type":"null"}],"title":"Live Min"}},{"name":"live_max","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":1000000,"minimum":0},{"type":"null"}],"title":"Live Max"}},{"name":"growth","in":"query","required":false,"schema":{"type":"string","pattern":"^(|up|down)$","default":"","title":"Growth"}},{"name":"format","in":"query","required":false,"schema":{"type":"string","pattern":"^(|video|image|carousel)$","default":"","title":"Format"}},{"name":"run_min","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":3650,"minimum":0},{"type":"null"}],"title":"Run Min"}},{"name":"shopify","in":"query","required":false,"schema":{"type":"integer","maximum":1,"minimum":0,"default":0,"title":"Shopify"}},{"name":"traffic_growth_min","in":"query","required":false,"schema":{"anyOf":[{"type":"number","maximum":100000.0,"minimum":-100.0},{"type":"null"}],"title":"Traffic Growth Min"}},{"name":"traffic_growth_max","in":"query","required":false,"schema":{"anyOf":[{"type":"number","maximum":100000.0,"minimum":-100.0},{"type":"null"}],"title":"Traffic Growth Max"}},{"name":"monthly_visits_min","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":10000000000,"minimum":0},{"type":"null"}],"title":"Monthly Visits Min"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/brands/{brand_key}":{"get":{"operationId":"brands_get","summary":"One brand: its store, products and live ads.","description":"Plans: Pro and Shipper. Spend: none. Inputs: path: brand_key.","tags":["brands"],"x-flypify-capability":"brands.get","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"brand_key","in":"path","required":true,"schema":{"type":"string","title":"Brand Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/suppliers/match":{"get":{"operationId":"suppliers_match","summary":"AliExpress candidate listings for a product title, ranked (keyword matches, not verified).","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: title, niche?, brand?.","tags":["suppliers"],"x-flypify-capability":"suppliers.match","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"title","in":"query","required":true,"schema":{"type":"string","minLength":1,"title":"Title"}},{"name":"niche","in":"query","required":false,"schema":{"type":"string","default":"","title":"Niche"}},{"name":"brand","in":"query","required":false,"schema":{"type":"string","default":"","title":"Brand"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/suppliers/aliexpress/search":{"get":{"operationId":"suppliers_aliexpress_search","summary":"Search AliExpress listings with price, orders and rating.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: q, limit?.","tags":["suppliers"],"x-flypify-capability":"suppliers.aliexpress_search","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string","minLength":1,"title":"Q"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":20,"minimum":1,"default":10,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/suppliers/aliexpress/match":{"get":{"operationId":"suppliers_aliexpress_match","summary":"The best AliExpress candidate for a product title (keyword match, not verified).","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: title, niche?, brand?.","tags":["suppliers"],"x-flypify-capability":"suppliers.aliexpress_match","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"title","in":"query","required":true,"schema":{"type":"string","minLength":1,"title":"Title"}},{"name":"niche","in":"query","required":false,"schema":{"type":"string","default":"","title":"Niche"}},{"name":"brand","in":"query","required":false,"schema":{"type":"string","default":"","title":"Brand"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/stores":{"get":{"operationId":"stores_list","summary":"Your stores and which one is current.","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["stores"],"x-flypify-capability":"stores.list","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]},"post":{"operationId":"stores_create","summary":"Create a store (name, niche). Connecting Shopify still needs one human click.","description":"Plans: Shipper. Spend: none. Inputs: body: {name, niche}.","tags":["stores"],"x-flypify-capability":"stores.create","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateStore"}}},"required":true}}},"/api/v1/stores/current":{"get":{"operationId":"stores_current","summary":"Your current store.","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["stores"],"x-flypify-capability":"stores.current","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/stores/select":{"post":{"operationId":"stores_select","summary":"Switch the current store.","description":"Plans: Shipper. Spend: none. Inputs: body: {store_id}.","tags":["stores"],"x-flypify-capability":"stores.select","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelectStore"}}},"required":true}}},"/api/v1/stores/shopify/products":{"get":{"operationId":"stores_shopify_products","summary":"The products live in your connected Shopify store.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: search?, cursor?, limit?.","tags":["stores"],"x-flypify-capability":"stores.shopify_products","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"search","in":"query","required":false,"schema":{"type":"string","default":"","title":"Search"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","default":"","title":"Cursor"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":24,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/stores/shopify/products/{product_id}":{"get":{"operationId":"stores_shopify_product","summary":"One Shopify product.","description":"Plans: Pro and Shipper. Spend: none. Inputs: path: product_id (numeric).","tags":["stores"],"x-flypify-capability":"stores.shopify_product","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"product_id","in":"path","required":true,"schema":{"type":"string","title":"Product Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/stores/insights":{"get":{"operationId":"stores_insights","summary":"Store insights: traffic and conversion.","description":"Plans: Pro and Shipper. Spend: none. Inputs: none. Returns 404 while the feature is not enabled on this deployment.","tags":["stores"],"x-flypify-capability":"stores.insights","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/stores/sales":{"get":{"operationId":"stores_sales","summary":"Store sales over time.","description":"Plans: Pro and Shipper. Spend: none. Inputs: query: range?. Returns 404 while the feature is not enabled on this deployment.","tags":["stores"],"x-flypify-capability":"stores.sales","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[{"name":"range","in":"query","required":false,"schema":{"type":"integer","default":30,"title":"Range"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/themes":{"get":{"operationId":"themes_list","summary":"Store themes you can install.","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["themes"],"x-flypify-capability":"themes.list","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/store-products":{"get":{"operationId":"store_products_list","summary":"Products you have saved in Flypify (drafts and published).","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["store_products"],"x-flypify-capability":"store_products.list","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/store-products/drafts":{"get":{"operationId":"store_products_drafts","summary":"Your draft products.","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["store_products"],"x-flypify-capability":"store_products.drafts","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/store-products/published":{"get":{"operationId":"store_products_published","summary":"Your published products.","description":"Plans: Pro and Shipper. Spend: none. Inputs: none.","tags":["store_products"],"x-flypify-capability":"store_products.published","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/store-products/draft":{"post":{"operationId":"store_products_draft","summary":"Save a winner as a draft product with your title, price and copy.","description":"Plans: Shipper. Spend: none. Inputs: body: {opportunity_id, title, price, description?}.","tags":["store_products"],"x-flypify-capability":"store_products.draft","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DraftBody"}}},"required":true}}},"/api/v1/store-products/push":{"post":{"operationId":"store_products_push","summary":"Push a winner to your Shopify store as a draft product.","description":"Plans: Pro and Shipper. Spend: none. Inputs: body: {opportunity_id, title, price, description?}.","tags":["store_products"],"x-flypify-capability":"store_products.push","x-flypify-tier":"pro","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DraftBody"}}},"required":true}}},"/api/v1/store-products/publish":{"post":{"operationId":"store_products_publish","summary":"Publish a product live in your Shopify store.","description":"Plans: Shipper. Spend: none. Inputs: body: {product_id}.","tags":["store_products"],"x-flypify-capability":"store_products.publish","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublishBody"}}},"required":true}}},"/api/v1/store-products/archive":{"post":{"operationId":"store_products_archive","summary":"Archive a product.","description":"Plans: Shipper. Spend: none. Inputs: body: {product_id}.","tags":["store_products"],"x-flypify-capability":"store_products.archive","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductIdBody"}}},"required":true}}},"/api/v1/storefront":{"get":{"operationId":"storefront_get","summary":"Your Flypify storefront: brand, products, slug.","description":"Plans: Shipper. Spend: none. Inputs: none. Returns 404 while the feature is not enabled on this deployment.","tags":["storefront"],"x-flypify-capability":"storefront.get","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]},"put":{"operationId":"storefront_update","summary":"Create or edit your storefront.","description":"Plans: Shipper. Spend: none. Inputs: body: {name, slug?, tagline?, support_email?, shipping_note?, returns_note?}. Returns 404 while the feature is not enabled on this deployment.","tags":["storefront"],"x-flypify-capability":"storefront.update","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"description":"body: {name, slug?, tagline?, support_email?, shipping_note?, returns_note?}"}}}}}},"/api/v1/storefront/brand":{"put":{"operationId":"storefront_brand","summary":"Edit the storefront brand: name, colours, logo, tagline.","description":"Plans: Shipper. Spend: none. Inputs: body: {auto: true} or {palette, fonts}. Returns 404 while the feature is not enabled on this deployment.","tags":["storefront"],"x-flypify-capability":"storefront.brand","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"description":"body: {auto: true} or {palette, fonts}"}}}}}},"/api/v1/storefront/products/{row_id}":{"put":{"operationId":"storefront_product","summary":"Edit one storefront product: title, price, copy, images.","description":"Plans: Shipper. Spend: none. Inputs: path: row_id; body: {listed: bool}. Returns 404 while the feature is not enabled on this deployment.","tags":["storefront"],"x-flypify-capability":"storefront.product","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[{"name":"row_id","in":"path","required":true,"schema":{"type":"string","title":"Row Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"description":"path: row_id; body: {listed: bool}"}}}}}},"/api/v1/pages/{row_id}":{"get":{"operationId":"pages_get","summary":"A product's landing page.","description":"Plans: Shipper. Spend: none. Inputs: path: row_id. Returns 404 while the feature is not enabled on this deployment.","tags":["pages"],"x-flypify-capability":"pages.get","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[{"name":"row_id","in":"path","required":true,"schema":{"type":"string","title":"Row Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]},"put":{"operationId":"pages_update","summary":"Edit a product landing page.","description":"Plans: Shipper. Spend: none. Inputs: path: row_id; body: {version, sections: [...]}. Returns 404 while the feature is not enabled on this deployment.","tags":["pages"],"x-flypify-capability":"pages.update","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[{"name":"row_id","in":"path","required":true,"schema":{"type":"string","title":"Row Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"description":"path: row_id; body: {version, sections: [...]}"}}}}}},"/api/v1/pages/{row_id}/bundles":{"put":{"operationId":"pages_bundles","summary":"Set a landing page's bundle offers.","description":"Plans: Shipper. Spend: none. Inputs: path: row_id; body: {prices: {1, 2, 3}}. Returns 404 while the feature is not enabled on this deployment.","tags":["pages"],"x-flypify-capability":"pages.bundles","x-flypify-tier":"shipper","x-flypify-spend":"none","parameters":[{"name":"row_id","in":"path","required":true,"schema":{"type":"string","title":"Row Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"description":"path: row_id; body: {prices: {1, 2, 3}}"}}}}}},"/api/v1/pages/{row_id}/build":{"post":{"operationId":"pages_build","summary":"Generate a full product landing page (copy + images, about 80 credits).","description":"Plans: Shipper. Spend: credits. Inputs: path: row_id. Returns 403 agent_spend_disabled until agent spending is enabled. Returns 404 while the feature is not enabled on this deployment.","tags":["pages"],"x-flypify-capability":"pages.build","x-flypify-tier":"shipper","x-flypify-spend":"credits","parameters":[{"name":"row_id","in":"path","required":true,"schema":{"type":"string","title":"Row Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/pages/{row_id}/sections/{kind}/regenerate":{"post":{"operationId":"pages_regenerate_section","summary":"Rewrite one landing-page section.","description":"Plans: Shipper. Spend: flypify_cost. Inputs: path: row_id, kind. Returns 404 while the feature is not enabled on this deployment.","tags":["pages"],"x-flypify-capability":"pages.regenerate_section","x-flypify-tier":"shipper","x-flypify-spend":"flypify_cost","parameters":[{"name":"row_id","in":"path","required":true,"schema":{"type":"string","title":"Row Id"}},{"name":"kind","in":"path","required":true,"schema":{"type":"string","title":"Kind"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"401":{"description":"missing_api_key / invalid_api_key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"402":{"description":"subscription_required: the account is not on Pro or Shipper","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"403":{"description":"plan_upgrade_required (Shipper capability) or agent_spend_disabled","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}},"429":{"description":"rate_limited: daily Agent API call limit reached","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}}}}}},"security":[{"apiKey":[]}]}},"/api/v1/pages/{row_id}/images/{slot}/regenerate":{"post":{"operationId":"pages_regenerate_image","summary":"Rege
[...]
